Bug 9958 - RoutingSerials description misleading
Summary: RoutingSerials description misleading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-31 11:51 UTC by Katrin Fischer
Modified: 2016-06-21 21:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9958: Improve RoutingSerials sys pref description (1.35 KB, patch)
2014-11-29 11:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9958: Improve RoutingSerials sys pref description (1.55 KB, patch)
2014-12-16 06:14 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 9958: Improve RoutingSerials sys pref description (1.62 KB, patch)
2014-12-19 14:20 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-03-31 11:51:18 UTC
I think in current versions of Koha the RoutingSerials is used to indicate if routing lists are used. Routing related functionality is hidden from screen according to this system preference.

The description doesn't reflect that well:
Add/Don't add  received serials to the routing list.
Comment 1 Katrin Fischer 2014-11-09 21:39:45 UTC
Could we make the description...

Manage/Don't manage routing lists in the serials module. ?
Comment 2 Katrin Fischer 2014-11-29 11:09:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-11-29 11:09:50 UTC
Making a suggestion for a new wording :)
Comment 4 M. Tompsett 2014-12-16 06:14:48 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-12-19 10:47:29 UTC
Native English speaker needed :)
Kyle maybe?
Comment 6 Kyle M Hall 2014-12-19 14:20:30 UTC
Created attachment 34548 [details] [review]
[PASSED QA] Bug 9958: Improve RoutingSerials sys pref description

The RoutingSerials preference controls if the routing
list related functionality is visible in the serials
module.

To test:
- Go to the system preference editor - RoutingSerials
- Check the current description
- Apply patch
- Check the new description
- Verify functionality matches description

NOTE: The preference change is merely cosmetic. The value is
      still YesNo. A few git reset --hard origin/master
      and page refreshes confirmed expected values.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2014-12-28 23:50:09 UTC
Patch pushed to master.

Thanks Katrina!
Comment 8 Chris Cormack 2014-12-30 21:28:53 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 9 Mason James 2015-01-16 19:38:03 UTC
Pushed to 3.16.x, patch will be in 3.16.7
Comment 10 Mason James 2015-01-16 19:42:51 UTC
(In reply to Mason James from comment #9)
> Pushed to 3.16.x, patch will be in 3.16.7

oops, correction!

Contains string changes, holding for 3.16.8
Comment 11 Mason James 2015-01-18 00:51:29 UTC
Pushed to 3.16.x, will be in 3.16.7